#### D.12.2.36 calculate_ordering

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  calculate_ordering(num1, primitive, mod1)

Return:
  x so that primitive^x == num1 mod mod1

Example:

    LIB "crypto.lib";
    bigint mod1 = 33;
    bigint primitive = 14;
    bigint num1 = 5;
    calculate_ordering(num1,primitive,mod1);
    ==> 3

User manual for Singular version 4.4.1, 2025, generated by texi2html.